Commet
  • Precios
Iniciar SesiónRegistrarse
Add plan to group POSTCreate plan group POSTDelete plan group DELETEGet plan group GETList plan groups GETRemove plan from group DELETEReorder plans in group PUTUpdate plan group PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Add plan to group

Add an existing plan to a plan group with optional sort order.

POST
/plan-groups/{id}/plans

Add an existing plan to a plan group with optional sort order.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

planId*string
sortOrder?integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/plan-groups/string/plans" \  -H "Content-Type: application/json" \  -d '{    "planId": "string"  }'
{  "success": true,  "data": {    "success": true,    "object": "plan_group",    "livemode": true  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Request a payout POST

Withdraw available balance to the organization's verified payout account. `amount` is in cents (USD, minimum 1000 = $10). The payout is created in `pending` and settles to `paid` asynchronously as provider webhooks arrive.

Create plan group POST

Create a new plan group for organizing plans.